org.apache.olingo.odata2.jpa.processor.api.model

## Interface JPAEdmEntityContainerView

- All Superinterfaces:
    JPAEdmBaseView

      public interface JPAEdmEntityContainerView
      extends JPAEdmBaseView

  A view on JPA EDM entity container. JPA EDM entity container is built from consistent JPA EDM entity set and consistent JPA EDM association set views.

  The implementation of the view provides access to EDM entity containers. The view acts as container for JPA EDM entity containers. A JPA EDM entity container is said to be consistent only if the JPA EDM association set and JPA EDM Entity Set view are consistent.

  See Also:
    `JPAEdmEntitySetView`, `JPAEdmAssociationSetView`
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EntityContainer>` | `getConsistentEdmEntityContainerList()` The method returns a list of consistent EDM entity containers
    `JPAEdmAssociationSetView` | `getEdmAssociationSetView()` The method returns the JPA EDM association set view that is currently being processed.
    `EntityContainer` | `getEdmEntityContainer()` The method returns the EDM entity container that is currently being processed.
    `JPAEdmEntitySetView` | `getJPAEdmEntitySetView()` The method returns the JPA EDM entity set view that is currently being processed.

    - ### Methods inherited from interface org.apache.olingo.odata2.jpa.processor.api.model.JPAEdmBaseView

      `clean, getBuilder, getJPAEdmExtension, getJPAEdmMappingModelAccess, getJPAMetaModel, getpUnitName, isConsistent, isDefaultNamingSkipped`

- - ### Method Detail

    - #### getEdmEntityContainer

          EntityContainer getEdmEntityContainer()

      The method returns the EDM entity container that is currently being processed.
      Returns:
        an instance of type `EntityContainer`

    - #### getConsistentEdmEntityContainerList

          List<EntityContainer> getConsistentEdmEntityContainerList()

      The method returns a list of consistent EDM entity containers
      Returns:
        a list of consistent EDM entity containers

    - #### getJPAEdmEntitySetView

          JPAEdmEntitySetView getJPAEdmEntitySetView()

      The method returns the JPA EDM entity set view that is currently being processed.
      Returns:
        an instance of type `JPAEdmEntitySetView`

    - #### getEdmAssociationSetView

          JPAEdmAssociationSetView getEdmAssociationSetView()

      The method returns the JPA EDM association set view that is currently being processed.
      Returns:
        an instance of type `JPAEdmAssociationSetView`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.